Browser

From SmartWiki
Revision as of 11:10, 6 June 2016 by Ciaran (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

General

SmartSimple is accessed through popular Internet browsers.


Internet Browser Support on PC/Desktop Devices

The following browsers are currently supported:

  • Chrome: two most recent versions* download
  • Firefox: two most recent versions* download
  • Safari: two most recent versions* download
  • Internet Explorer download: version 9.0 and higher, depending on Windows Operating System in use (see below)


All browsers listed above are supported on all Windows, OS X and Linux Operating Systems that are explicitly stated as supported by the individual browser manufacturer.


Internet Explorer Version Support

Internet Explorer Version support by Windows Operating System

Windows Operating System Internet Explorer Version
Windows Vista SP2 Internet Explorer 9
Windows 7 Internet Explorer 11
Windows 8 Internet Explorer 11
Windows 8.1 Internet Explorer 11
Windows 10 Internet Explorer 11

Unsupported browser message

If the Browser being used is not supported then user will be presented with a message on the login page to inform them of this fact. The exact wording of the alert is shown below.

We have detected that you are using an unsupported browser. If you continue to use this browser, the site may not display properly. To view a list of supported browsers, please visit http://wiki.smartsimple.com/wiki/Browser.


User should upgrade to a supported version of the browser.

Internet Browser Support on Mobile Devices

SmartSimple supports native browsers on iOS and Android. Platform support for mobile devices extends to Arcadia and Arcadia X interfaces only. The Classic interface is not supported on mobile devices.

Mobile Operating System Supported Browser
iOS Safari
Android Chrome

Notes

  • Note 1: As of Jan. 12, 2016, only the most recent version of Internet Explorer, available for the Windows operating system in use, will be supported. See table above. This is reflective of Microsoft's browser version support policy. SmartSimple will also be providing support for the version previous to the most current version available (Internet Explorer 10).
  • Note 2: Internet Explorer compatibility should not be enabled for access to SmartSimple as some items such icons displayed on buttons (Font Awesome) will not be displayed correctly. For additional information on disabling Internet Explorer compatibility mode see Disable Compatibility Mode
  • Note 3: Firefox, Chrome and Safari support applies to the current version published by the manufacturer excluding beta releases, and the previous version.